GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
pick_first_lb_policy Struct Reference

## Data Fields
grpc_lb_policy | base
| base policy: must be first More...
grpc_subchannel ** | subchannels
| all our subchannels More...
size_t | num_subchannels
grpc_iomgr_closure | connectivity_changed
gpr_mu | mu
| mutex protecting remaining members More...
grpc_subchannel * | selected
| the selected channel TODO(ctiller): this should be atomically set so we don't need to take a mutex in the common case More...
int | started_picking
| have we started picking? More...
int | shutdown
| are we shut down? More...
size_t | checking_subchannel
| which subchannel are we watching? More...
grpc_connectivity_state | checking_connectivity
| what is the connectivity of that channel? More...
pending_pick * | pending_picks
| list of picks that are waiting on connectivity More...
grpc_connectivity_state_tracker | state_tracker
| our connectivity state tracker More...

## Field Documentation

grpc_lb_policy pick_first_lb_policy::base

base policy: must be first

grpc_connectivity_state pick_first_lb_policy::checking_connectivity

what is the connectivity of that channel?

size_t pick_first_lb_policy::checking_subchannel

which subchannel are we watching?

grpc_iomgr_closure pick_first_lb_policy::connectivity_changed

gpr_mu pick_first_lb_policy::mu

mutex protecting remaining members

size_t pick_first_lb_policy::num_subchannels

pending_pick* pick_first_lb_policy::pending_picks

list of picks that are waiting on connectivity

grpc_subchannel* pick_first_lb_policy::selected

the selected channel TODO(ctiller): this should be atomically set so we don't need to take a mutex in the common case

int pick_first_lb_policy::shutdown

are we shut down?

int pick_first_lb_policy::started_picking

have we started picking?

grpc_connectivity_state_tracker pick_first_lb_policy::state_tracker

our connectivity state tracker

grpc_subchannel** pick_first_lb_policy::subchannels

all our subchannels

The documentation for this struct was generated from the following file:

- src/core/client_config/lb_policies/pick_first.c